//@author: Everyoneishappy
//@help: Simple Vertex Color
//@tags: color
//@credits: 
 
Texture2D texture2d <string uiname="Texture";>;
 
SamplerState g_samLinear : IMMUTABLE
{
    Filter = MIN_MAG_MIP_LINEAR;
    AddressU = Clamp;
    AddressV = Clamp;
};
 
 
cbuffer cbPerDraw : register( b0 )
{
    float4x4 tVP : VIEWPROJECTION;
};
 
 
cbuffer cbPerObj : register( b1 )
{
    float4x4 tW : WORLD;
    float4x4 tColor <string uiname="Color Transform";>;
};
 
struct VS_IN
{
    float4 PosO : POSITION;
    float4 Vcol : COLOR0;
 
};
 
struct vs2ps
{
    float4 PosWVP: SV_POSITION;
    float4 Vcol : COLOR0;
};
 
vs2ps VS(VS_IN input)
{
    vs2ps Out = (vs2ps)0;
    Out.PosWVP  = mul(input.PosO,mul(tW,tVP));
    Out.Vcol = input.Vcol;
    return Out;
}
 
 
 
 
float4 PS(vs2ps In): SV_Target
{
    float4 col = In.Vcol;
    //col =1;
    return col;
}
 
 
 
 
 
technique10 Constant
{
    pass P0
    {
        SetVertexShader( CompileShader( vs_4_0, VS() ) );
        SetPixelShader( CompileShader( ps_4_0, PS() ) );
    }
}




